Loading...
Searching...
No Matches
array.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <array> More...

`#include "cereal/cereal.hpp"`
`#include <array>`

Go to the source code of this file.

## Functions

template<class Archive , class T , size_t N>
std::enable_if< traits::is_output_serializable< BinaryData< T >, Archive >::value &&std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::array< T, N > const &array)
template<class Archive , class T , size_t N>
std::enable_if< traits::is_input_serializable< BinaryData< T >, Archive >::value &&std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::array< T, N > &array)
template<class Archive , class T , size_t N>
std::enable_if<!traits::is_output_serializable< BinaryData< T >, Archive >::value||!std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::array< T, N > const &array)
| Saving for std::array all other types.
template<class Archive , class T , size_t N>
std::enable_if<!traits::is_input_serializable< BinaryData< T >, Archive >::value||!std::is_arithmetic< T >::value, void >::type | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::array< T, N > &array)
| Loading for std::array all other types.

## Detailed Description

Support for types found in <array>

## Function Documentation

## CEREAL_LOAD_FUNCTION_NAME()

template<class Archive , class T , size_t N>

std::enable_if< traits::is_input_serializable< BinaryData< T >, Archive >::value &&std::is_arithmetic< T >::value, void >::type cereal::CEREAL_LOAD_FUNCTION_NAME | ( | Archive & | ar,
|  | std::array< T, N > & | array
| ) |  |

inline

Loading for std::array primitive types using binary serialization, if supported

## CEREAL_SAVE_FUNCTION_NAME()

template<class Archive , class T , size_t N>

std::enable_if< traits::is_output_serializable< BinaryData< T >, Archive >::value &&std::is_arithmetic< T >::value, void >::type cereal::CEREAL_SAVE_FUNCTION_NAME | ( | Archive & | ar,
|  | std::array< T, N > const & | array
| ) |  |

inline

Saving for std::array primitive types using binary serialization, if supported